=== debian/control ===
Source: ros-dashing-teleop-twist-joy
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-geometry-msgs, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Homepage: http://wiki.ros.org/teleop_twist_joy
Standards-Version: 3.9.2

Package: ros-dashing-teleop-twist-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-geometry-msgs, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-ros-workspace
Description: Generic joystick teleop for twist robots.
